Name:           remind
Version:        04.02.06
Release:        1%{?dist}
Summary:        A sophisticated calendar and alarm program

Group:          Applications/Productivity
License:        GPLv2
URL:            https://dianne.skoll.ca/projects/remind/

Source0:        https://dianne.skoll.ca/projects/remind/download/%{name}-%{version}.tar.gz
Source1:        tkremind.desktop
Source2:        %{name}-rpmlintrc

BuildRequires:  gcc
BuildRequires:  perl-Pango
BuildRequires:  perl-Cairo
BuildRequires:  perl-JSON-MaybeXS
BuildRequires:  perl-ExtUtils-MakeMaker

Requires:  perl
Requires:  perl-Pango
Requires:  perl-Cairo
Requires:  perl-JSON-MaybeXS

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PDF, PostScript and HTML output
  * Timed reminders and pop-up alarms

%package gui
Group:          Applications/Productivity
Summary:        A graphical front-end for remind using Tcl/Tk
BuildArchitectures: noarch
BuildRequires:  desktop-file-utils
Requires:       tk > 8.0
Requires:       tcl
Requires:       tcllib
Requires:       remind = %{version}-%{release}
#Requires:       google-noto-fonts-common
#Requires:       google-noto-emoji-color-fonts

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/rem2pdf

# Install desktop stuff.
desktop-file-install \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category "Office"                          \
  %{SOURCE1}

%files
%{_bindir}/rem
%{_bindir}/rem2html
%{_bindir}/rem2pdf
%{_bindir}/rem2ps
%{_bindir}/remind
%{_mandir}/man1/rem.1.gz
%{_mandir}/man1/rem2html.1.gz
%{_mandir}/man1/rem2pdf.1.gz
%{_mandir}/man1/rem2ps.1.gz
%{_mandir}/man1/remind.1.gz
%{_mandir}/man3/Remind::PDF.3pm.gz
%{_mandir}/man3/Remind::PDF::Entry.3pm.gz
%{_datadir}/perl5/vendor_perl/Remind/PDF.pm
%{_datadir}/perl5/vendor_perl/Remind/PDF/Entry.pm
%{_datadir}/remind/ansitext.rem
%{_datadir}/remind/holidays/ca.rem
%{_datadir}/remind/holidays/fr.rem
%{_datadir}/remind/holidays/gr.rem
%{_datadir}/remind/holidays/ie.rem
%{_datadir}/remind/holidays/jewish.rem
%{_datadir}/remind/holidays/us.rem
%{_datadir}/remind/lang/auto.rem
%{_datadir}/remind/lang/da.rem
%{_datadir}/remind/lang/de.rem
%{_datadir}/remind/lang/en.rem
%{_datadir}/remind/lang/es.rem
%{_datadir}/remind/lang/fi.rem
%{_datadir}/remind/lang/fr.rem
%{_datadir}/remind/lang/gr.rem
%{_datadir}/remind/lang/is.rem
%{_datadir}/remind/lang/it.rem
%{_datadir}/remind/lang/nl.rem
%{_datadir}/remind/lang/no.rem
%{_datadir}/remind/lang/pl.rem
%{_datadir}/remind/lang/pt.rem
%{_datadir}/remind/lang/ro.rem
%{_datadir}/remind/seasons.rem
%{_datadir}/remind/site/README

# I don't believe this .packlist should be in the RPM - but I'm no expert
%exclude %{_libdir}/perl5/vendor_perl/auto/Remind/PDF/.packlist

# I don't believe this is the correct install location, but I'm neither
# an expert, nor can I currently figure out how to teak things so it
# would be installed into {_libdir}/perl5/vendor_perl/Remind/rem2pdf.pod
%exclude %{_libdir}/perl5/perllocal.pod

%doc COPYRIGHT MICROSOFT-AND-APPLE README contrib docs examples www

%files gui
%{_bindir}/tkremind
%{_datadir}/applications/tkremind.desktop
%{_mandir}/man1/tkremind.1.gz

%changelog
* Fri Oct 06 2023 Kurt Keller <kurt@pinboard.jp> - 04.02.06-1
- tcllib is not automatically required by rpm upon install

* Fri Oct 06 2023 Kurt Keller <kurt@pinboard.jp> - 04.02.06-0
- Built latest version for Fedora 38

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 03.01.15-6
- Escape macros in %%changelog

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Jaromir Capik <jcapik@redhat.com> - 03.01.15-1
- Updating to 03.01.15 (#1215295)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 03.01.13-4
- Perl 5.18 rebuild

* Thu Jun 13 2013 Jaromir Capik <jcapik@redhat.com> - 03.01.13-3
- Fixing unescaped %%check section in the changelog ...
- ... causing build failures on aarch64

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 03.01.13-2
- Drop desktop vendor tag.

* Tue Apr 09 2013 Jaromir Capik <jcapik@redhat.com> - 03.01.13-1
- Updated to 03.01.13
- Fixing bogus dates in the changelog

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-2
- fix for #816370 - rem2ps should not require margins to be at least 1/2 inch
- Patch from Jonathan Kamens

* Mon Apr 30 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-1
- Updated to 03.01.12

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.07-1
- Upstream released 03.01.07

* Sat Feb 28 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.06-1
- Latest version refresh

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 26 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.04-1
- Updated to version 03.01.04

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 03.01.02-4
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-3
- Copied rem2html to /usr/bin per bz #430502
- Using a few more macros in spec file

* Wed Sep 19 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-2
- Added tcllib requires per bz #290761

* Thu Sep 13 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-1
- Updated to version 03.01.02

* Thu Aug 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.01-1
- Updated to version 03.01.01
- Updated license tag to GPLv2

* Wed Aug 15 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.00-1
- Updated to version 03.01.00

* Wed May 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-3
- Fixed permissions on www/* to be 0644.

* Mon May 07 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Added www to documentation.  A sample web application I do not feel is
  suitable for inclusion into the actual RPM.

* Thu May 03 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Using integer only release numbers.
- Preserve timestamps on manpages.
- Added %%check
- Removed README from documentation and added ACKNOWLEDGEMENTS

* Wed Apr 25 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1.1
- Applied patch from Dan Young (dyoung@mesd.k12.or.us) to not strip binaries
  See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235802#c3
- Explicitly specifying man pages under %%files to avoid duplication of
  tkremind.1 across subpackages
- Added README and COPYRIGHT

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1
- Added .desktop file
- Initial release

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.5
- Convert remind.1 to UTF8

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.4
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.3
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.2
- Split into -gui sub-package.

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.1
- Initial release.
